View Issue Details

IDProjectCategoryView StatusLast Update
0002280SymmetricDSImprovementpublic2018-03-12 08:26
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.9.5Fixed in Version3.9.5 
Summary0002280: Service stops working after upgrading Java
DescriptionAfter upgrading the version of Java on Windows, the SymmetricDS service does not start. The SymmetricDS service is installed in the service manager using a full path to java.exe, and when the path changes from one version to another, it can no longer run java.exe. The service manager requires a full path and cannot use environment variables.

The workaround is to re-install the SymmetricDS service:

sym_service uninstall
sym_service install
Additional InformationWe could provide a runjava.exe to the service manager. It would use the registry to find the current version of Java to run, otherwise try searching the PATH environment variable.
TagsNo tags attached.

Activities

elong

2015-04-21 08:52

developer   ~0000688

Looks like you can set wrapper.java.command=java on modern versions of Windows and it will search the PATH variable to find the executable.

elong

2018-02-21 19:53

developer   ~0001133

Current fix is to use a symbolic link maintained by Oracle's Java installer in C:\ProgramData\Oracle\Java\javapath\java.exe. If we find the symlink, we'll configure it in conf/sym_service.conf.

Issue History

Date Modified Username Field Change
2015-04-21 08:31 elong New Issue
2015-04-21 08:31 elong Status new => assigned
2015-04-21 08:31 elong Assigned To => elong
2015-04-21 08:31 elong Project SymmetricDS Pro => SymmetricDS
2015-04-21 08:52 elong Note Added: 0000688
2015-04-21 08:52 elong Status assigned => closed
2015-04-21 08:52 elong Resolution open => won't fix
2015-04-21 09:10 elong Status closed => feedback
2015-04-21 09:10 elong Resolution won't fix => reopened
2018-02-21 19:53 elong Note Added: 0001133
2018-02-21 19:54 elong Status feedback => resolved
2018-02-21 19:54 elong Resolution reopened => fixed
2018-02-21 19:54 elong Fixed in Version => 3.9.5
2018-02-21 19:54 elong Target Version => 3.9.5
2018-03-12 08:26 chenson Status resolved => closed